Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.impl
Class SimpleRelationshipType

    java.lang.Object
      org.apache.muse.ws.dm.muws.impl.SimpleRelationshipType

All Implemented Interfaces:
  RelationshipType, XmlSerializable

public class SimpleRelationshipType
extends java.lang.Object
implements RelationshipType

SimpleRelationshipType represents simple and complex relationship types for the RelationshipResource capability. It is commonly used to create static fields representing an enumeration of well-defined relationships.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`SimpleRelationshipType(org.w3c.dom.Element xml)`
`SimpleRelationshipType(QName[] values)`

Method Summary
`QName[]` | `getValues()`
`org.w3c.dom.Element` | `toXML()` Converts this object into an XML representation, as defined by its related schema or specification.
`org.w3c.dom.Element` | `toXML(org.w3c.dom.Document doc)` Converts this object into an XML representation, as defined by its related schema or specification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleRelationshipType

    public SimpleRelationshipType(org.w3c.dom.Element xml)

### SimpleRelationshipType

    public SimpleRelationshipType(QName[] values)

Method Detail

### getValues

    public QName[] getValues()

  Specified by:
    `getValues` in interface `RelationshipType`
  Returns:
    The names of the XML elements that are children to the muws2:Type element, with the element closest to the top coming first, and the innermost child coming last.

### toXML

    public org.w3c.dom.Element toXML()

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Returns:
    An XML representation of this object.

### toXML

    public org.w3c.dom.Element toXML(org.w3c.dom.Document doc)

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Parameters:
    `doc` - The DOM Document that will be used to create all of the nodes in the resulting XML fragment.
  Returns:
    An XML representation of this object.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD